#!/bin/ash
IMAGE=${IMAGE:-fd-arm.img}
INITRD=${INITRD:-initrd.gz}

case $1 in
	vexpress)
		KERNEL=vexpress
		shift
		;;
	realview)
		KERNEL=realview
		shift
		;;
	-h|--help)
		echo "Usage: $0 [realview|vexpress] [boot-parameters ...]"
		exit
		;;
	*)	# all others - assume boot params, and use vexpress kernel
		KERNEL=vexpress
		;;
esac

case "$KERNEL" in
	vexpress)
		echo Launching vexpress kernel with 1GB RAM
		exec qemu-system-arm -M vexpress-a9 -m 1024 -kernel zImage-vexpress -initrd $INITRD \
		-append "console=tty0 mem=1024M basesfs=local $@" -sd $IMAGE \
		-redir tcp:2222::22
		;;
	
	realview)
		echo Launching realview kernel with 512MB RAM
		exec qemu-system-arm -M realview-pb-a8 -m 512 -kernel zImage-realview -initrd $INITRD \
		-append "console=tty0 mem=512M basesfs=local $@" -sd $IMAGE \
		-redir tcp:2222::22
		;;
esac


